VERSION 5.00
Object = "{30FD24B4-F253-4C27-A64D-4CD28C3A4259}#1.0#0"; "CADViewLib.ocx"
Begin VB.Form Form1 
   Caption         =   "CADViewX demo"
   ClientHeight    =   8250
   ClientLeft      =   3765
   ClientTop       =   3780
   ClientWidth     =   11820
   LinkTopic       =   "Form1"
   ScaleHeight     =   8250
   ScaleWidth      =   11820
   Begin VB.Frame Frame2 
      Caption         =   "Frame2"
      Height          =   8175
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   11775
      Begin CADViewLib.CADViewX CADViewX1 
         Height          =   7455
         Left            =   0
         TabIndex        =   1
         Top             =   120
         Width           =   11775
         Object.Visible         =   -1  'True
         AutoScroll      =   0   'False
         AutoSize        =   0   'False
         AxBorderStyle   =   1
         Caption         =   "CADViewX Control"
         Color           =   8421504
         KeyPreview      =   0   'False
         PixelsPerInch   =   96
         PrintScale      =   1
         Scaled          =   -1  'True
         DropTarget      =   0   'False
         ScreenSnap      =   0   'False
         SnapBuffer      =   10
         DoubleBuffered  =   0   'False
         Enabled         =   -1  'True
         ToolBarVisible  =   -1  'True
         LayoutIndex     =   0
         LayoutsBarVisible=   -1  'True
         SelfPopupMenu   =   -1  'True
         IsWithoutBorder =   0   'False
         Millimetres     =   0   'False
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   204
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         UseSHXFonts     =   0   'False
         SearchSHXPaths  =   -1  'True
         DefaultSHXPath  =   ""
         DefaultSHXFont  =   "txt.shx"
         SHXSearchPaths  =   ""
         BackGroundColor =   16777215
         FileName        =   ""
         DrawMode        =   0
         DefaultColor    =   0
         PrinterIndex    =   1
      End
      Begin VB.Frame Frame1 
         Caption         =   "Frame1"
         Height          =   495
         Left            =   0
         TabIndex        =   2
         Top             =   7560
         Width           =   11775
         Begin VB.TextBox Text1 
            Height          =   375
            Left            =   0
            TabIndex        =   5
            Text            =   "Text1"
            Top             =   120
            Width           =   4215
         End
         Begin VB.TextBox Text2 
            Height          =   375
            Left            =   4320
            TabIndex        =   4
            Text            =   "Text2"
            Top             =   120
            Width           =   3855
         End
         Begin VB.TextBox Text3 
            Height          =   375
            Left            =   8280
            TabIndex        =   3
            Text            =   "Text3"
            Top             =   120
            Width           =   3375
         End
      End
   End
   Begin VB.Menu mmFile 
      Caption         =   "File"
      Begin VB.Menu mmiOpen 
         Caption         =   "Open picture..."
      End
      Begin VB.Menu mmiSaveAs 
         Caption         =   "Save as..."
      End
      Begin VB.Menu mmiClose 
         Caption         =   "Close"
      End
      Begin VB.Menu mmiSep0 
         Caption         =   "-"
      End
      Begin VB.Menu mmiPrint 
         Caption         =   "Print"
      End
      Begin VB.Menu mmiPrintPreview 
         Caption         =   "Print preview..."
      End
      Begin VB.Menu mmiSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mmiExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu mmView 
      Caption         =   "View"
      Begin VB.Menu mmiZoomIn 
         Caption         =   "Zoom in"
      End
      Begin VB.Menu mmiZoomOut 
         Caption         =   "Zoom out"
      End
      Begin VB.Menu mmiPrevScale 
         Caption         =   "Previous scale"
      End
      Begin VB.Menu mmiFit 
         Caption         =   "Fit picture to window"
      End
      Begin VB.Menu mmiWithoutBorder 
         Caption         =   "Without border"
      End
      Begin VB.Menu mmiRotClock 
         Caption         =   "Rotate +90 deg"
      End
      Begin VB.Menu mmiRotCounterClock 
         Caption         =   "Rotate -90 deg"
      End
      Begin VB.Menu mmiSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mmiShowLayers 
         Caption         =   "Show layers"
      End
   End
   Begin VB.Menu mmOptions 
      Caption         =   "Options"
      Begin VB.Menu mmiShowToolBar 
         Caption         =   "Show toolbar"
      End
      Begin VB.Menu mmiShowLayoutsBar 
         Caption         =   "Show layouts toolbar"
      End
      Begin VB.Menu mmiShowOptions 
         Caption         =   "Show options dialog"
      End
      Begin VB.Menu mmiSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mmiLoadConfig 
         Caption         =   "Load configuration"
      End
      Begin VB.Menu mmiSaveConfig 
         Caption         =   "Save configuration"
      End
   End
   Begin VB.Menu mmAbout 
      Caption         =   "?"
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub CADViewX1_OnAfterLoad()
    If CADViewX1.IsVectGraphic Then
        Text1.Text = CADViewX1.FileName
        If CADViewX1.Millimetres Then
            Text2.Text = "Size in millimeters: " + Str(CADViewX1.mmWidth) + " X " + Str(CADViewX1.mmHeight)
        Else
            Text2.Text = "Size in inches: " + Str(CADViewX1.mmWidth) + " X " + Str(CADViewX1.mmHeight)
        End If
        Form_Activate
    End If
End Sub

Private Sub CADViewX1_OnBeforeLoad()
    Form_Load
End Sub

Private Sub CADViewX1_OnMouseMove(ByVal Shift As Long, ByVal X As Long, ByVal Y As Long)
    Dim P As tagFPoint
    If CADViewX1.IsVectGraphic Then
        P = CADViewX1.CADCoords(X, Y)
        Text3.Text = "   ( " + Str(P.X) + "; " + Str(P.Y) + "; 0.000 )"
    End If
End Sub

Private Sub Form_Activate()
    Dim IsVectorial As Boolean
    IsVectorial = CADViewX1.IsVectGraphic
    
    mmiSaveAs.Enabled = IsVectorial
    mmiClose.Enabled = IsVectorial
    mmiPrint.Enabled = IsVectorial
    mmiPrintPreview.Enabled = IsVectorial
    mmiZoomIn.Enabled = IsVectorial
    mmiZoomOut.Enabled = IsVectorial
    mmiPrevScale.Enabled = IsVectorial
    mmiFit.Enabled = IsVectorial
    mmiWithoutBorder.Enabled = IsVectorial
    mmiRotClock.Enabled = IsVectorial
    mmiRotCounterClock.Enabled = IsVectorial
    mmiShowLayers.Enabled = IsVectorial
    Form_Resize
End Sub

Private Sub Form_Load()
    Text1.Text = ""
    Text2.Text = ""
    Text3.Text = ""
    Text1.BackColor = &H8000000F
    Text2.BackColor = &H8000000F
    Text3.BackColor = &H8000000F
    Frame1.BorderStyle = 0
    Frame2.BorderStyle = 0
End Sub

Private Sub Form_Resize()
    CADViewX1.Width = Form1.Width - 100
    If Form1.Height - 3 * Frame1.Height - CADViewX1.Top > 0 Then
        CADViewX1.Height = Form1.Height - 3 * Frame1.Height - CADViewX1.Top
    End If
    Frame2.Width = CADViewX1.Width
    Frame2.Height = CADViewX1.Height + Frame1.Height
    Frame1.Top = CADViewX1.Height + 50
    Frame1.Width = Form1.Width - 100
    If Frame1.Width - Text3.Left - 100 < 0 Then
        Text3.Width = 100
    Else
        Text3.Width = Frame1.Width - Text3.Left - 100
    End If
End Sub

Private Sub mmAbout_Click()
    CADViewX1.ShowAbout
End Sub

Private Sub mmiClose_Click()
    CADViewX1.CloseFile
    Form_Activate
    Form_Load
End Sub

Private Sub mmiExit_Click()
    Unload Me
End Sub

Private Sub mmiFit_Click()
    CADViewX1.DoToolButtonClick (tbFitToWindow)
End Sub

Private Sub mmiLoadConfig_Click()
    Dim IniFileName As String
    CADViewX1.LayoutsBarVisible = True
    IniFileName = App.Path + "\Demo.ini"
    CADViewX1.LoadFromIni (IniFileName)
    Form_Resize
End Sub

Private Sub mmiOpen_Click()
    CADViewX1.DoToolButtonClick (tbOpen)
End Sub

Private Sub mmiPrevScale_Click()
    CADViewX1.PrevScale
End Sub

Private Sub mmiPrint_Click()
    CADViewX1.Print
End Sub

Private Sub mmiPrintPreview_Click()
    CADViewX1.DoToolButtonClick (tbPrintPreview)
End Sub

Private Sub mmiRotClock_Click()
    CADViewX1.DXFImage.Rotate axisZ, 90
    CADViewX1.RefreshAfterRotate
End Sub

Private Sub mmiRotCounterClock_Click()
    CADViewX1.DXFImage.Rotate axisZ, -90
    CADViewX1.RefreshAfterRotate
End Sub

Private Sub mmiSaveAs_Click()
    CADViewX1.DoToolButtonClick (tbSave)
End Sub

Private Sub mmiSaveConfig_Click()
    Dim IniFileName As String
    CADViewX1.LayoutsBarVisible = True
    IniFileName = App.Path + "\Demo.ini"
    CADViewX1.SaveToIni (IniFileName)
End Sub

Private Sub mmiShowLayers_Click()
    CADViewX1.ShowLayersDialog
End Sub

Private Sub mmiShowLayoutsBar_Click()
    mmiShowLayoutsBar.Checked = Not mmiShowLayoutsBar.Checked
    CADViewX1.LayoutsBarVisible = mmiShowLayoutsBar.Checked
End Sub

Private Sub mmiShowOptions_Click()
    CADViewX1.DoToolButtonClick (tbOptions)
End Sub

Private Sub mmiShowToolBar_Click()
    mmiShowToolBar.Checked = Not mmiShowToolBar.Checked
    CADViewX1.ToolBarVisible = mmiShowToolBar.Checked
End Sub

Private Sub mmiWithoutBorder_Click()
    mmiWithoutBorder.Checked = Not mmiWithoutBorder.Checked
    CADViewX1.IsWithoutBorder = mmiWithoutBorder.Checked
End Sub

Private Sub mmiZoomIn_Click()
    CADViewX1.DoToolButtonClick (tbZoomIn)
End Sub

Private Sub mmiZoomOut_Click()
    CADViewX1.DoToolButtonClick (tbZoomOut)
End Sub

Private Sub mmOptions_Click()
    mmiShowToolBar.Checked = CADViewX1.ToolBarVisible
    mmiShowLayoutsBar.Checked = CADViewX1.LayoutsBarVisible
End Sub

Private Sub Text1_KeyPress(KeyAscii As Integer)
    KeyAscii = 0
End Sub

Private Sub Text2_KeyPress(KeyAscii As Integer)
    KeyAscii = 0
End Sub

Private Sub Text3_KeyPress(KeyAscii As Integer)
    KeyAscii = 0
End Sub
